
-- Animacja pasow
-- Animacja ktora wprawia w ruch pasy, gdy jest aktywna komenda isTurnedOn
-- Autor - Grzegorz056
-- 17.05.2011 r
 
animacja_pasy = {};

function animacja_pasy.prerequisitesPresent(specializations)
    return true
end;

function animacja_pasy:load(xmlFile)
	
	self.animacjapasy = {};
       	     local i = 0;
       		while true do
            	local key = string.format("vehicle.animacjapasy.animacjapasow(%d)", i);

          if not hasXMLProperty(xmlFile, key) then
               break;
           end;

         	local node = Utils.indexToObject(self.components, getXMLString(xmlFile, key.."#index"));
            	local speed = Utils.getVectorNFromString(getXMLString(xmlFile, key.."#speed"), 2);
          	if node ~= nil and speed then
                table.insert(self.animacjapasy, {node=node, speed=speed});
           end;
	i = i +1;
      end;

end;

function animacja_pasy:delete()
end;

function animacja_pasy:mouseEvent(posX, posY, isDown, isUp, button)
end;

function animacja_pasy:keyEvent(unicode, sym, modifier, isDown)
end;

function animacja_pasy:update(dt)

if self:getIsActive() then
	if self.isTurnedOn then
		for _, part in pairs(self.animacjapasy) do
          	setShaderParameter(part.node, "uvScrollSpeed", part.speed[1], part.speed[2], 0, 0, false);
      end;
	elseif not self.isTurnedOn then
		for _, part in pairs(self.animacjapasy) do
          	setShaderParameter(part.node, "uvScrollSpeed", 0, 0, 0, 0, false);
	end;
    end;
end;


end;
function animacja_pasy:onLeave()
end;

function animacja_pasy:onEnter()
end;

function animacja_pasy:draw()
end;